osg::QueryGeometry::QueryResult Struct Reference

`#include <OcclusionQueryNode>`

## Public Member Functions

| QueryResult ()
| QueryResult (bool v, unsigned int p)

## Public Attributes

bool | valid
unsigned int | numPixels

## Constructor & Destructor Documentation

## QueryResult() [1/2]

osg::QueryGeometry::QueryResult::QueryResult | ( |  | ) |

inline

References numPixels, and valid.

## QueryResult() [2/2]

osg::QueryGeometry::QueryResult::QueryResult | ( | bool | v,
|  | unsigned int | p )

inline

References numPixels, and valid.

## Member Data Documentation

## numPixels

unsigned int osg::QueryGeometry::QueryResult::numPixels

Referenced by QueryResult(), and QueryResult().

## valid

bool osg::QueryGeometry::QueryResult::valid

Referenced by QueryResult(), and QueryResult().

The documentation for this struct was generated from the following file:

- OcclusionQueryNode